#include <string>
#include <qhbox.h>

class QTimer;
class QLabel;

class WirelessStatus : public QHBox
{
  Q_OBJECT;
public:
  WirelessStatus (QWidget* parent, const std::string& device);
  void SetActive (bool state);

private slots:
  void Refresh ();
private:
  QTimer* m_timer;
  QLabel* quality;
  QString format;
  std::string dev;
};
