//#include <qgroupbox.h>
#include <qbuttongroup.h>
#include <qlabel.h>
#include <klineedit.h>

#include "network_config.hh"

class ChatAuthBox : public QButtonGroup // QGroupBox
{
  Q_OBJECT
public:
  ChatAuthBox (QWidget* parent);
  void NewConfig (network_config::PPPSubsection* subsection);

  KLineEdit* user;
  KLineEdit* passwd;

  QLabel* user_label;
  QLabel* passwd_label;

public slots:
  void changeUser (const QString& new_user);
  void changePasswd (const QString& new_passwd);

private:
  network_config::PPPSubsection* config;
};
