#include <ksystemtray.h>
#include <vector>

class ProfileManager;

class NetconfTray : public KSystemTray
{
  Q_OBJECT
public:
  NetconfTray (QWidget *parent, ProfileManager* manager);
  ~NetconfTray () {}

private slots:
  // connected to profile managaer
  void slotRebuildList ();
  void slotNewActive ();

  // connected to popup menu
  void slotActivate (int item);
private:
  std::vector <int> profile_mapping;
  ProfileManager* m_manager;
};
